Subject: bug#28635: closed (Re: [bug#28635] [PATCH 2/2] vm: Add disk-image-size to <virtual-machine>.)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 04 Oct 2017 06:26:02 +0000

Your bug report

#28635: [PATCH] Allow configuring the disk image size of a virtual machine

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
28635: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=28635
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#28635] [PATCH 2/2] vm: Add disk-image-size to <virtual-machine>.
From: Christopher Baines <[email-masked]>
To: [email-masked] (Ludovic Courtès)
Cc: [email-masked]
Date: Wed, 4 Oct 2017 07:25:36 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On Tue, 03 Oct 2017 15:12:04 +0200
[email-masked] (Ludovic Courtès) wrote:

> Christopher Baines <[email-masked]> skribis:
> 
> > * gnu/system/vm.scm (<virtual-machine>): Add disk-image-size.
> >   (port-forwardings->qemu-options): Use disk-image-size from
> >   <virtual-machine>.  
> 
> As long as “make check-system TESTS=basic” passes, fine with me!

It failed at first, as I had a the memory-size and disk-image-size
fields the wrong way around in a match statement, but after I fixed
that it worked fine.

I've now pushed these changes, thanks for your review :)

Subject: [PATCH] Allow configuring the disk image size of a virtual machine
From: Christopher Baines <[email-masked]>
To: [email-masked]
Date: Thu, 28 Sep 2017 20:54:16 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Allow configuring the size of the virtual machine disk when using the
virtual-matchine record type.

Christopher Baines (2):
  vm: Add a minimum root size.
  vm: Add disk-image-size to <virtual-machine>.

 gnu/system/vm.scm | 22 ++++++++++++++++------
 1 file changed, 16 insertions(+), 6 deletions(-)